Bug 848114 - Test case query results contain duplicates
Test case query results contain duplicates
Status: CLOSED NOTABUG
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zheng Liu
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 12:22 EDT by Corey Welton
Modified: 2016-09-26 10:25 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-15 01:33:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing duplicate results (50.57 KB, image/png)
2012-08-14 12:25 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2012-08-14 12:22:32 EDT
Description of problem:

Not sure exactly what causes this -- I haven't seen it before -- but apparently testcase search queries are (sometimes?) returning duplicate results

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Testing | Search Cases
2. enter a case summary of "activation keys" and choose product of "katello"; submit.  Alternately, use the following URL:
https://tcms.engineering.redhat.com/cases/?summary=activation+key&author=&product=313&plan=&is_automated=&category=&case_status=1&case_status=2&case_status=3&case_status=4&component=&bug_id=&tag__name__in=&a=search
3.  view results
  
Actual results:
Some duplicates appear in the search results

Expected results:
No duplicates appear in search results.


Additional info:
See forthcoming screenshot.
Comment 1 Corey Welton 2012-08-14 12:25:08 EDT
Created attachment 604352 [details]
screenshot showing duplicate results
Comment 2 Zheng Liu 2012-08-23 01:32:10 EDT
(In reply to comment #1)
> Created attachment 604352 [details]
> screenshot showing duplicate results

I tried but can not reproduce this bug.
Using above link will search 11 results sorted by created date/ID by default.

According to the attachment, I'm wondering if there are some other operations which cause this problem.(such as sort by summary or other field.)
If you can still reproduce it, could you please provide some detaild steps ?
Comment 3 yawei Li 2012-11-13 03:13:29 EST
Corey, would you please provide the detailed steps on how to reproduce it? If it is not reproduced, this bug will be closed.
Comment 4 fhuang 2014-07-15 01:33:48 EDT
Can't reproduct with "activation keys" in product "katello" on product server with 3.8.8, close it.

Note You need to log in before you can comment on or make changes to this bug.